export default {
  'en': {
    importModelsMetadata: 'Import Model',
    importModalTips: 'To ensure the file could be imported, please don\'t unzip the file or modify the contents.',
    tableMapLabel: 'Set mapping relationships for the database name and table name',
    tableMapLabelTip: 'You may set the mapping relationships if the database names and the table names are inconsistent in both environments.',
    tableMapPlaceholder: 'Import rules: Item name in export environment = Item name in import environment, Please use comma (,) to separate multiple mapping relationships. Example: DB1=DB2,DB3.Table1=DB3.Table2',
    selectFile: 'Select a File',
    placeholder: 'Please select a .zip file',
    pleaseSelectFile: 'Please select file.',
    parseFile: 'Parse and Continue',
    noZipFileErrorTip: 'Only support .zip file. Please select again.',
    unConflictModels: 'Importable',
    unConflictModelsIsEmpty: 'Can\'t find any importable model in this file. ',
    conflictModels: 'Unimportable ({count})',
    conflictModelsIsEmpty: 'All models in this file can be imported.',
    chooseModels: '{count} model(s) are recognized',
    pleaseSelectModels: 'Please select at least one model.',
    uploadFailed: 'The file parsing failed. Please check if the model metadata package is complete.',
    submitSuccess: 'Successfully imported model.',
    submitFailed: 'Can\'t imported model.',
    filesSizeError: 'The file size can\'t exceed 5M',
    DUPLICATE_MODEL_NAME: 'This model already exists.',
    METADATA_CONFLICT: 'The imported model metadata is inconsistent with the data in the project\'s data source.',
    DUPLICATE_MODEL_NAME_AND_METADATA_CONFLICT: 'This model already exists, and metadata is inconsistent with the data in the project\'s data source.',
    TABLE_NOT_EXISTED: 'Tables that do not exist in the data source',
    COLUMN_NOT_EXISTED: 'Columns that do not exist in the data source',
    INVALID_COLUMN_DATATYPE: 'Inconsistent data types',
    parseModalsTips: '<b>{modelNum}</b> models have been parsed successfully',
    parseModalsTips1: ' <b>{noImportNum}</b> models can\'t be imported. ',
    viewDetails: ' View import rules',
    importTips1: 'The system recommends <b>replacing models with the same name in the project</b> if the following are all consistent: fact table, dimension table, join conditions, partition column and format, data loading method, and data filter condition.',
    importTips2: 'The system recommends <b>adding a new model</b> if any of the above items is inconsistent, or there is no model with the same name exists in the project.',
    importTips3: 'The model <b>can\'t be imported</b> if any of the following is met: can\'t find tables or columns used in the model in the current system; the column\'s data type is inconsistent; the current project has a computed column with same name while the expression is different, or with same expression while using another name.',
    modelName: 'Model Name',
    actions: 'Actions',
    addNew: 'Add New',
    replace: 'Replace',
    notImport: 'Not Import',
    nofound: 'Not Found ({num})',
    add: 'Added ({num})',
    reduce: 'Deleted ({num})',
    modified: 'Modified ({num})',
    noDifferences: 'A model with same name has been found in the project. The two models are exactly the same.',
    tables: 'Tables ({num})',
    columns: 'Columns ({num})',
    columnsDataType: 'Columns DataType ({num})',
    partitionColumns: 'Partition ({num})',
    measures: 'Measures ({num})',
    dimensions: 'Dimensions ({num})',
    indexes: 'Index ({num})',
    computedColumns: 'Computed Columns ({num})',
    modelJoin: 'Join Relationship ({num})',
    modelFilter: 'Data Filter Condition ({num})',
    tablesDiff: 'Tables',
    columnsDiff: 'Columns',
    columnsDataTypeDiff: 'Columns DataType',
    computedColumnsDiff: 'The current project has a computed column with same name while the expression is different, or with same expression while using another name',
    modelFactDiff: 'Fact table',
    modelLockupDiff: 'Dimension table',
    modelFilterDiff: 'Data filter condition',
    modelJoinDiff: 'Join relationships',
    partitionColumnsDiff: 'Partition column and format',
    params: 'Parameter: ',
    noFoundDataTip: 'All required tables or columns are found in the current system.',
    noAddDataTip: 'This model has no added items compared to the current system.',
    noDeleteDataTip: 'This model has no deleted items compared to the current system.',
    noUpdateDataTip: 'This model has no modified items compared to the current system.',
    timePartition: 'Time Partition: ',
    timePartitionType: 'Time Partition Type: ',
    aggIndex: 'Agg Index',
    tableIndex: 'Table Index',
    measureName: 'Measure Name: ',
    measureFunction: 'Function: ',
    measureFunctionParams: 'Return Type: ',
    confirmImportTips: 'Please confirm the following operations before import.',
    newConfirmTips: 'Add New ({num})',
    replaceConfirmTips: 'Replace ({num})',
    noImportConfirmTips: 'Not Import ({num})',
    confirmNoImportBtn: 'Not Import',
    confirmImportBtn: 'Import',
    sameCCNameTips: 'A computed column with same name has been found in model in the curent project, while using a different expression. Please rename it. ',
    sameCCExpressionTips: 'A computed column with same expression has been found in model in the current system, while the name is "{sameCCName}". Please rename it.',
    validateErrorTips: 'The file parsing failed. Please check if the model metadata package is complete.',
    subPartition: 'Subpartition Columns: ',
    subPartitionValues: 'Subpartition Values: ',
    noImportTitleSameName: 'This model can\'t be imported as some referenced content is lacked in the current project.',
    noImportTitleDiffName: 'The model\'s contents are not found in the project and can\'t be imported.',
    noImportDetailsSameName: 'The tables, columns referenced in the imported model are not found in the project data source, and the data types of the columns are inconsistent. Please load or adjust to consistency then try again.',
    noImportDetailsDiffName: 'Can\'t find the tables, columns referenced by the imported model, or the columns’s data types are inconsistent. Please adjust and try importing again.',
    noImportMsgSameName: 'A model with same name has been found in the project. The imported model has the following changes compared to the existing one:',
    noImportMsgDiffName: 'This model includes:',
    newModelTitleSameName: 'A model with same name has been found in the project, while have some inconsistencies. It’s recommended to add as a new model.',
    newModelDetailsSameName: 'The following items are inconsistent so that the current model can\'t be replaced. Please modify the imported model if replacing the current model is desired.',
    newModelTitleDiffName: 'No model with same name has been found in the project. It’s recommended to add as a new one.',
    newModelMsgSameName: 'This model has the following changes compared with the existing one:',
    newModelMsgDiffName: 'This model includes:',
    replaceModelTitleSameName: 'A model with same name has been found in the project. It’s recommended to replace it.',
    replaceModelDetailsSameName: 'All of the following items are consistent: fact table, dimension table, join conditions, partition column and format, data loading method, and data filter condition.',
    replaceModelMsgSameName: 'This model has the following changes compared with the existing one:',
    replaceModelDiffName: 'This model can\'t be imported as some referenced content are lacked in the current project.',
    replaceModelDetailsDiffName: 'Can\'t find the tables, columns referenced by the imported model, or the columns\'s data types are inconsistent. Please adjust and try importing again.',
    replaceModelMsgDiffName: 'This model includes:',
    detailBtn: ' Details',
    notFoundTablesOrColumnsTip: 'This table or column has not been loaded into the current project. This causes the model can\'t  imported.',
    changeColumnsDataTypeTip: 'This data type of this column is inconsistent. This causes the model can\'t imported.',
    noFoundItems: 'Can\'t find {items} used in the model in the current system',
    columnsDataTypeConflict: 'The columns\'s data types is inconsistent. ',
    cannotOverwriteTips: 'This causes the model can\'t replace the existing one in the project.',
    or: ' or ',
    changeSubPartitionTip: 'Once imported, the query performance might be affected. The existing built data for the current subpartitions would be deleted.'
  }
}
