export default {
  'en': {
    basicInfo: 'General Information',
    projectName: 'Project Name:',
    projectType: 'Project Type:',
    description: 'Description:',
    MANUAL_MAINTAIN: 'AI Augmented Mode',
    pushdownSettings: 'Pushdown Setting',
    pushdownEngine: 'Pushdown Engine',
    pushdownEngineDesc: 'With pushdown engine turned on, you may query source data without indexes.',
    pushdownRange: 'Pushdown Range',
    pushdownRangeDesc: 'Turn off the pushdown range setting may cause the result difference between query on source data and indexes, especially when a source table has new data yet indexes don\'t.',
    segmentSettings: 'Segment Settings',
    datasourceSetting: 'Data Source Setting',
    gbaseConnectInfo: 'GBase Data Source Information',
    JDBCDataSource: 'JDBC Datasource',
    jdbcConnectInfo: 'Data Source Info: ',
    jdbcShowName: 'Data Source Name: ',
    connectString: 'JDBC Connection String: ',
    username: 'User name: ',
    password: 'Password: ',
    modify: 'Modify',
    add: 'Add',
    driver: 'Driver: ',
    modifyDatasourceConnect: 'Modify JDBC Data Source Information',
    addDatasourceConnect: 'Add JDBC Data Source Information',
    saveDatasourceTitle: 'Save Data Source Setting',
    saveDatasourceContent: 'Modifying the data source info may cause current tables to be unavailable and models broken.  Are you sure you want to save? ',
    segmentMerge: 'Auto-Merge',
    segmentMergeDesc: 'Segment auto-merge could help defragment the file of model index data.',
    autoMerge: 'Auto-Merge:',
    autoMergeTip: 'The system can auto-merge segment fragments over different merge threshold. Auto-merge, like defragmentation, will optimize storage to enhance query performance.',
    volatile: 'Volatile Range:',
    volatileTip: '"Auto-Merge" will not merge the latest segments defined in "Volatile Range". The default value is 0.',
    retentionThreshold: 'Retention Threshold',
    retentionThresholdDesc: 'The segments within the retention threshold would be kept. The rest would be removed automatically. For example, if the latest data time is 2019-01-01 and the retention threshold is 1 year, then the retained data is [2018-01-02, 2019-01-01].',
    minute: 'Minute',
    hour: 'Hour(s)',
    day: 'Day(s)',
    week: 'Week(s)',
    month: 'Month(s)',
    quarter: 'Quarter(s)',
    DAY1: 'daily',
    WEEK1: 'weekly',
    MONTH1: 'monthly',
    year: 'Year(s)',
    HOUR: '1 Hour',
    DAY: '1 Day',
    WEEK: '1 Week',
    MONTH: '1 Month',
    QUARTER: '1 Quarter',
    YEAR: '1 Year',
    indexOptimizationSettings: 'Index Optimization',
    storageSettings: 'Storage Setting',
    storageQuota: 'Storage Quota:',
    storageQuotaDesc: 'Project-level storage quota: If the project storage exceeds this quota, the new build index and load data job will be disabled. This could only be set by system admin.',
    storageGarbage: 'Low Usage Storage',
    storageGarbageDesc1: 'If ',
    storageGarbageDesc2: ' usage is lower than ',
    storageGarbageDesc3: ' time(s), the storage of indexes would be regarded as low usage storage.',
    storageGarbageDesc3ForSemiAutomatic: ' time(s), the storage of indexes would be regarded as low usage storage.',
    enableSemiAutomatic: 'Recommendation',
    enableSemiAutomaticDesc: 'After enabling this mode, the system will provide recommendations for existing models by analyzing the query history and model usage.',
    confirmClose: 'Turn Off',
    turnOffTips: 'After disabling this mode, the following changes will happen:<br/>* This project will not be able to <b>recommend and optimize indexes</b> and <b>create model by SQL</b>. <br/>* The existing recommendations will be <b>temporarily hidden</b> and those indexes which are <b>built successfully</b> can still serve the query.<br/>* For the recommendations, if the model definition changes, such as <b>join relationship</b> and <b>partition column</b>, all the recommendations will be <b>cleared</b> to ensure the accuracy.<br/>Do you want to continue?',
    turnOff: 'Turn Off ',
    turnOnTips: 'With recommendation mode turned on, the system will generate recommendations for existing models by analyzing the query history and model usage. You may set the related preferences in settings.<br/><br/>Do you want to continue?',
    turnOnTipsInCloud: 'Please note that this feature is still in BETA phase. Potential risks or known limitations might exist. Check <a class="ky-a-like" href="" target="_blank">user manual</a> for details.<br/>Do you want to continue?',
    turnOn: 'Turn On ',
    confirmOpen: 'Turn On',
    queryFrequency: 'Frequency Rule',
    querySubmitter: 'User Rules',
    querySubmitterTips: 'If specified users or user groups are selected, recommendations would only be generated based on the queries from those users.',
    queryDuration: 'Duration Rule',
    AccQueryStart: 'Generate recommendations for queries used for more than ',
    AccQueryEnd: ' times',
    from: 'Generate recommendations for the queries of which the duration is between',
    to: 'to',
    secondes: 'second(s)',
    acclerationRuleSettings: 'Recommendation Preferences',
    optimizationSuggestions: 'Limit of Recommendations for Adding Index',
    suggestionTip1: 'Up to',
    suggestionTip2: 'recommendations for adding indexes would be generated per time. Recommendations would be updated every 2 days by default. The frequency could be configured. Check <a class="ky-a-like" href="" target="_blank">user manual</a> for details.',
    emptySegmentEnable: 'Creating Reserved Segments',
    emptySegmentEnableDesc: 'With this switch ON, you may create a segment with no index (reserved segment). Please note that queries would be answered by pushdown engine when they hit reserved segments.',
    overTimeLimitTip: 'Can\'t exceed 3600 seconds',
    prevGreaterThanNext: 'The content should be greater than the lower limit',
    excludeRuleSettings: 'Exclude Column Rule Setting',
    excludeRule: 'Exclude Rule',
    excludeRuleTip: 'Excluded column is used for Slowly Changing Dimension(SCD),especially for the situation that you want to use SCD type 1 for some columns and SCD type 2 for others.',
    closeExcludeRuleTitle: 'Close Exclude Column Setting',
    confirmCloseExcludeRule: 'If close the exclude rules, please pay attention that the former excluded columns is still in AS-IS (SCD Type1) mode until aggregate index containing these columns is added.',
    moreDetails: 'More Info',
    excludeRuleDetailMsg1: 'If the data of certain columns in a dimension table changes frequently, the columns can be added into the exclude list, and aggregate indexes containing these columns should be deleted. In that way you can apply AS-IS(SCD type1) to these columns',
    excludeRuleDetailMsg2: 'Then the foreign key in fact table will be included in the recommended index, replacing excluded columns. After building the indexes, queries for these columns can be retrieved through the foreign key.',
    excludeRuleDetailMsg3: 'If you want to use SCD type 2 for some other columns,you can add them to aggregate indexes.',
    addExcludeColumns: 'Add Exclude Columns',
    delExcludeColumns: 'Delete Exclude Columns',
    allColumns: 'All columns',
    table: 'Table',
    columns: 'Columns',
    forbidenSwitchJdbcTips: 'Can\'t turn it OFF when there exists JDBC table in the project',
    hitRules: 'Hit Rules',
    ruleTips: 'Only the recommendations complying the following rules will be recommended.',
    ruleTooltips: 'If the query does not hit the existing index, an optimization recommendation will be generated.',
    timeFrame: 'Time Frame: In Recent',
    days: 'Day(s)',
    hitNums: 'Number of Hits: At Least',
    hitNumTips: 'Hit(s). It\'s recommended to set this value higher according to the actual situation to reduce the number of low-value recommendations.',
    recommendationFrequency: 'Recommendation Frequency: Every',
    recommendationFrequencyTips: 'Day(s) update recommendations sorted by hits in the time frame you set. Check <a class="ky-a-like" href="" target="_blank">user manual</a> for details.',
    effectiveDaysEmptyTips: 'Please input time frame',
    minHitCountEmptyTips: 'Please input number of hits',
    upadateFreEmptyTips: 'Please input recommendation frequency',
    emptyTips: 'Can\'t be empty'
  }
}
